> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Wallet Detail

> The endpoint allows you to retrieves the details of a specific wallet associated with a customer.

## Path Parameters

<ParamField path="customerId" type="string" required>
  Unique identifier for the customer
</ParamField>

<ParamField path="walletId" type="string" required>
  Unique identifier for the wallet
</ParamField>

## Response

### ✅ Success Response

* **Status Code**: `200 OK`

```json theme={null}
{
  "code": "200",
  "success": true,
  "message": "Wallet details retrieved successfully.",
  "data": {
    "walletId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "customerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "availableBalance": 10000,
    "ledgerBalance": 12000,
    "currency": "USD",
    "status": "active"
  }
}
```

### ❌ Error Responses

Status Code: 400 Bad Request

```json theme={null}
{
  "code": "400",
  "success": false,
  "message": "Invalid customer ID specified",
  "data": null
}
```
